Ipelib: ipe::PdfView Class Reference

Ipelib

Signals | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
ipe::PdfView Class Reference

`#include <ipepdfview_win.h>`

Inherits ipe::PdfViewBase, QWidget, and ipe::PdfViewBase.

## Signals
void | sizeChanged ()
void | mouseButton (int, Vector)

## Public Member Functions
| PdfView (QWidget *parent, Qt::WindowFlags f=nullptr)
virtual void | invalidate ()
virtual void | invalidate (int x, int y, int w, int h)
| PdfView (HWND parent, HWND target, int screen, HINSTANCE hInstance=nullptr)
HWND | windowId () const
Public Member Functions inherited from ipe::PdfViewBase
virtual | ~PdfViewBase ()
void | setPdf (const PdfFile *pdf, Fonts *fonts)
void | setPage (const PdfDict *page, const Rect &paper)
void | setBackground (const Color &bg)
void | setBlackout (bool bo)
Vector | pan () const
double | zoom () const
Vector | center () const
int | viewWidth () const
int | viewHeight () const
bool | blackout () const
Vector | devToUser (const Vector &arg) const
Vector | userToDev (const Vector &arg) const
void | setPan (const Vector &v)
void | setZoom (double zoom)
Matrix | canvasTfm () const
void | updatePdf ()

## Static Public Member Functions
static void | init (HINSTANCE hInstance)

## Static Public Attributes
static constexpr int | WM_PDFVIEW = 0x8000

## Protected Member Functions
virtual void | paintEvent (QPaintEvent *ev)
virtual void | mousePressEvent (QMouseEvent *ev)
virtual QSize | sizeHint () const
Protected Member Functions inherited from ipe::PdfViewBase
| PdfViewBase ()
void | drawPaper (cairo_t *cc)
void | refreshSurface ()

## Additional Inherited Members
Protected Attributes inherited from ipe::PdfViewBase
double | iWidth
double | iHeight
double | iBWidth
double | iBHeight
Vector | iPan
double | iZoom
Color | iBackground
bool | iBlackout
bool | iRepaint
cairo_surface_t * | iSurface
std::unique_ptr< Cascade > | iCascade
const PdfDict * | iPage
Rect | iPaperBox
const PdfDict * | iStream
const PdfFile * | iPdf
Fonts * | iFonts

## Constructor & Destructor Documentation

## ◆ PdfView() [1/2]

PdfView::PdfView | ( | QWidget * | parent,
|  | Qt::WindowFlags | f = `nullptr`
| ) |  |

Referenced by PdfView::drawRect().

## ◆ PdfView() [2/2]

PdfView::PdfView | ( | HWND | parent,
|  | HWND | target,
|  | int | screen,
|  | HINSTANCE | hInstance = `nullptr`
| ) |  |

## Member Function Documentation

## ◆ invalidate() [1/2]

void PdfView::invalidate | ( |  | ) |
| virtual

Implements ipe::PdfViewBase.

References ipe::PdfViewBase::iHeight, and ipe::PdfViewBase::iWidth.

Referenced by sizeHint(), and windowId().

## ◆ invalidate() [2/2]

void PdfView::invalidate | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |
| virtual

Implements ipe::PdfViewBase.

References ipe::PdfViewBase::iHeight.

## ◆ sizeChanged

void ipe::PdfView::sizeChanged | ( |  | ) |
| signal

Referenced by paintEvent().

## ◆ mouseButton

void ipe::PdfView::mouseButton | ( | int | ,
|  | Vector |
| ) |  |
| signal

Referenced by mousePressEvent().

## ◆ paintEvent()

void PdfView::paintEvent | ( | QPaintEvent * | ev | ) |
| protectedvirtual

References ipe::PdfViewBase::iBHeight, ipe::PdfViewBase::iBWidth, ipe::PdfViewBase::iHeight, ipe::PdfViewBase::iSurface, ipe::PdfViewBase::iWidth, ipe::PdfViewBase::refreshSurface(), and sizeChanged().

## ◆ mousePressEvent()

void PdfView::mousePressEvent | ( | QMouseEvent * | ev | ) |
| protectedvirtual

References ipe::PdfViewBase::devToUser(), and mouseButton().

## ◆ sizeHint()

QSize PdfView::sizeHint | ( |  | ) | const
| protectedvirtual

References invalidate().

## ◆ init()

void PdfView::init | ( | HINSTANCE | hInstance | ) |
| static

## ◆ windowId()

HWND ipe::PdfView::windowId | ( |  | ) | const
| inline

References invalidate().

## Member Data Documentation

## ◆ WM_PDFVIEW

constexpr int ipe::PdfView::WM_PDFVIEW = 0x8000
| static

The documentation for this class was generated from the following files:

- ipepdfview_qt.h
- ipepdfview_win.h
- ipepdfview_cocoa.cpp
- ipepdfview_qt.cpp
- ipepdfview_win.cpp